%define pypi_name requests-file

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 1
Summary:        File transport adapter for Requests
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/requests-file/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%package -n     python3-%{pypi_name}
Summary:        File transport adapter for Requests
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
Requests-File is a transport adapter for use with the Requests Python library
to allow local filesystem access via file:// URLs.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/requests_file.*
%{python3_sitelib}/requests_file-%{version}-*.egg-info
%{python3_sitelib}/__pycache__/requests_file.*


%changelog
* Sat Dec 19 2020 guillomovitch <guillomovitch> 1.5.1-1.mga8
+ Revision: 1661307
- new version 1.5.1

* Thu Jul 23 2020 ovitters <ovitters> 1.4.3-4.mga8
+ Revision: 1608306
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.4.3-3.mga8
+ Revision: 1533246
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 guillomovitch <guillomovitch> 1.4.3-2.mga8
+ Revision: 1443783
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.4.3-1.mga8
+ Revision: 1417022
- imported package python-requests-file

